Debian Bug report logs - #304066
Prompted about unmodified conffile

version graph

Package: libcupsys2; Maintainer for libcupsys2 is (unknown);

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Sun, 10 Apr 2005 16:48:07 UTC

Severity: serious

Tags: fixed

Found in version libcupsys2/1.1.23-12

Fixed in version 1.1.23-13

Done: Adam D. Barratt <debian-bts@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kenshi Muto <kmuto@debian.org>:
Bug#304066; Package libcupsys2-gnutls10. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Kenshi Muto <kmuto@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: submit@bugs.debian.org
Subject: Prompted about unmodified conffile
Date: Sun, 10 Apr 2005 12:41:56 -0400
Package: libcupsys2-gnutls10
Version: 1.1.23-7
Severity: important

While upgrading:
Unpacking libcupsys2-gnutls10 (from .../libcupsys2-gnutls10_1.1.23-7_i386.deb)

I am prompted about changes that I supposedly made to Configuration file
`/etc/cups/client.conf'.  But the changes clearly aren't mine:

--- /etc/cups/client.conf       2004-03-19 05:31:04.000000000 -0500
+++ /etc/cups/client.conf.dpkg-new      2005-03-05 00:10:00.000000000 -0500
@@ -1,10 +1,9 @@
 #
-# "$Id: client.conf,v 1.8 2004/02/25 20:15:27 mike Exp $"
 #
 #   Sample client configuration file for the Common UNIX Printing System
 #   (CUPS).
 #
-#   Copyright 1997-2004 by Easy Software Products, all rights reserved.
+#   Copyright 1997-2005 by Easy Software Products, all rights reserved.
 #
 #   These coded instructions, statements, and computer programs are the
 #   property of Easy Software Products and are protected by Federal
@@ -16,9 +15,9 @@
 #       Attn: CUPS Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636-3111 USA
+#       Hollywood, Maryland 20636 USA
 #
-#       Voice: (301) 373-9603
+#       Voice: (301) 373-9600
 #       EMail: cups-info@cups.org
 #         WWW: http://www.cups.org
 #
@@ -63,5 +62,4 @@


 #
-# End of "$Id: client.conf,v 1.8 2004/02/25 20:15:27 mike Exp $".
 #

It seems that something is done which confuses the conffile handling.
Was this file at some point not a conffile?  There are ways of dealing
with this: see dpkg.org for one.



Information forwarded to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#304066; Package libcupsys2-gnutls10. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to maintainer. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 304066-maintonly@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 304066-maintonly@bugs.debian.org
Subject: follow up
Date: Thu, 29 Sep 2005 20:31:24 -0400
Does someone intend to follow through on this report?  AFAIK its
completely reproducible from the given version to another version with
the same conffile changes.

-- 
Clear skies,
Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#304066; Package libcupsys2-gnutls10. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 304066@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 335276@bugs.debian.org, 345112@bugs.debian.org, 304066@bugs.debian.org, 345113@bugs.debian.org, 346282@bugs.debian.org, 337992@bugs.debian.org
Subject: transferring ownership of conffile to avoid dpkg prompt; incomplete solution
Date: Wed, 25 Jan 2006 22:56:27 -0500
At least 4 major packages are presently affected by conffile prompts
during upgrades from Sarge to current testing, because the name of the
package owning some conffile changed.  When dpkg queries "what is the
md5sum of the old conffile", it probably looks only for md5sums of
files owned by the old package, and so finds nothing, and the usual
logic doesn't apply.

See also bullet 3 of Bill Allombert's message titled "Some bits of
experience gained from handling upgrade-reports"; this is a similar
situation:
  http://lists.debian.org/debian-devel-announce/2005/06/msg00006.html

Bill's simple recipe is to remove the conffile in preinst if the
md5sum of the conffile matches that of the stable version.
http://dpkg.org/ has an even better example, which plays nicely even
for upgrades from versions not in the stable release; it works by
parsing the dpkg status database with sed (and not distinguising
between which package owns a conffile).

During preinst, status contains the old md5sums, and immediately
before calling postinst configure, new conffiles are put into place,
with a prompt if the current md5sum matches neither the stored value
nor the new value.

At the very least, I would expect no unnecessary conffile prompts on
upgrade from sarge to etch; so, I'm sending this now instead of
waiting for myself or someone else to come up with a more complete
solution.

Check out the minimal packages, conf-owner-transfer and
conf-owner-test, which you can use to help understand what is going
on:
  http://justinpryzby.com/debian/conf-owner-transfer_1.tar.gz

I note that it does not preserve conffile removal, and keybuk notes
that errors are not handled (for example, aborted abgrades).

# Start from a fresh state
sudo dpkg -P conf-owner-{test,transfer}

# Start with a single package "conf-owner-test" which owns the
# conffile /etc/confowner.conf; ignore the presence of the second
# package "conf-owner-transfer".
./debian/rules v1

# Build and install version 1.  Note that "conf-owner-transfer" either
# doesn't exist at version 1, or doesn't own the conffile.
dpkg-buildpackage -rfakeroot
sudo dpkg -i ../conf-owner-test_1_all.deb

# Increase the binary package version, and switch which binary package
# owns the conffile.  For simplity, I don't rename the directory.
./debian/rules v2

# Build and install version 2; note that both packages are installed
# in the same dpkg run.  Note the the conffile has been updated
# without prompting.  Repeat the process, after commenting out the
# "rm" line, and note how much nicer it was to not be prompted.
dpkg-buildpackage -rfakeroot
sudo dpkg -i  ../conf-owner-{test,transfer}_2_all.deb

-- 
Clear skies,
Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#304066; Package libcupsys2-gnutls10. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 304066@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 304066@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Prompted about unmodified conffile
Date: Wed, 1 Mar 2006 14:02:30 -0500
severity 304066 serious
# Justification and precedent: #337992
thanks

Can I expect to see this bug fixed for etch?

http://bugs.debian.org/304066

Justin



Severity set to `serious'. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `libcupsys2-gnutls10' to `libcupsys2'. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#304066; Package libcupsys2. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #29 received at 304066@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 304066@bugs.debian.org
Cc: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>, kmuto@debian.org, mhatta@debian.org, licquia@debian.org, q-funk@iki.fi, vorlon@debian.org
Subject: #304066: conffile prompt is probably fixed but bug isn't closed
Date: Sun, 26 Mar 2006 11:24:27 -0500
This problem seems to have been "fixed" by modifying the conffile in
sid to be the same as the one in sarge.  This isn't a very good
solution, because you might decide that you actually want to both
change the contents of the conffile between stable releases, and
change the package owning the conffile.  But anyway.

I'm not going to close this bug, on the premise that this is the
maintainers responsibility, and they should really bother to respond
to their bugs (even if they are not "release critical"), and care if
their package is in testing or not.

Just for fun, I looked at the binary packages generated by cupsys2
which contain client.conf:

2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-10_i386.deb
2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-10sarge1_i386.deb
2031324435f8f317fdfcc39dfa0fe333  libcupsys2_1.1.23-12_i386.deb
2031324435f8f317fdfcc39dfa0fe333  libcupsys2_1.1.23-15_i386.deb
2031324435f8f317fdfcc39dfa0fe333  libcupsys2_1.1.99.b1.r4885-1_i386.deb
6626b6c3efff30870b7f92e495c299fc  libcupsys2_1.1.14-5woody12_i386.deb

Steve, were you able to reproduce this bug?  It seems to me that this
is a woody-only problem (well, sarge actually, since thats where the
fix would be required).  I don't know what was the contents of that
file between -10 and -12, since -10 was the *week after* snapshot's
disk lost information, and snapshot gives me permissions errors for
-12 (and everything else) anyway.

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#304066; Package libcupsys2. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #34 received at 304066@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 304066@bugs.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>, kmuto@debian.org, mhatta@debian.org, licquia@debian.org, q-funk@iki.fi
Subject: Re: #304066: conffile prompt is probably fixed but bug isn't closed
Date: Sun, 26 Mar 2006 16:03:57 -0800
[Message part 1 (text/plain, inline)]
On Sun, Mar 26, 2006 at 11:24:27AM -0500, Justin Pryzby wrote:
> Steve, were you able to reproduce this bug?

I never tried.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#304066; Package libcupsys2. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #39 received at 304066@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 304066@bugs.debian.org
Subject: Re: #304066: conffile prompt is probably fixed but bug isn't closed
Date: Mon, 27 Mar 2006 13:51:42 -0500
On Sun, Mar 26, 2006 at 11:24:27AM -0500, pryzbyj wrote:
> This problem seems to have been "fixed" by modifying the conffile in
> sid to be the same as the one in sarge.  This isn't a very good
> solution, because you might decide that you actually want to both
> change the contents of the conffile between stable releases, and
> change the package owning the conffile.  But anyway.
> 
> I'm not going to close this bug, on the premise that this is the
> maintainers responsibility, and they should really bother to respond
> to their bugs (even if they are not "release critical"), and care if
> their package is in testing or not.
> 
> Just for fun, I looked at the binary packages generated by cupsys2
> which contain client.conf:
> 
> 2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-10_i386.deb
> 2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-10sarge1_i386.deb
> 2031324435f8f317fdfcc39dfa0fe333  libcupsys2_1.1.23-12_i386.deb
> 2031324435f8f317fdfcc39dfa0fe333  libcupsys2_1.1.23-15_i386.deb
> 2031324435f8f317fdfcc39dfa0fe333  libcupsys2_1.1.99.b1.r4885-1_i386.deb
> 6626b6c3efff30870b7f92e495c299fc  libcupsys2_1.1.14-5woody12_i386.deb
  2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-7_i386.deb
  2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-8_i386.deb

For that matter:

  2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-10_i386.deb
  2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-10sarge1_i386.deb
  2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-11_i386.deb
  2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-8_i386.deb
  2031324435f8f317fdfcc39dfa0fe333  libcupsys2-gnutls10_1.1.23-9_i386.deb

But

  2031324435f8f317fdfcc39dfa0fe333  client.conf
  e39203745a37ad9cc7a539c8f2f802bf  client.conf.dpkg-old

So I have no clue what the problem is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>:
Bug#304066; Package libcupsys2. Full text and rfc822 format available.

Acknowledgement sent to <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #44 received at 304066@bugs.debian.org (full text, mbox):

From: <allomber@math.u-bordeaux.fr>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 304066@bugs.debian.org, control@bugs.debian.org
Subject: Re: #304066: conffile prompt is probably fixed but bug isn't closed
Date: Sun, 7 May 2006 13:45:00 +0200
tags 304066 fixed
quit
On Sun, Mar 26, 2006 at 11:24:27AM -0500, Justin Pryzby wrote:
> This problem seems to have been "fixed" by modifying the conffile in
> sid to be the same as the one in sarge.  This isn't a very good
> solution, because you might decide that you actually want to both
> change the contents of the conffile between stable releases, and
> change the package owning the conffile.  But anyway.

Especially since you might decide to change the conffile one year after
the rename when you have completly forgotten about the issue...

> I'm not going to close this bug, on the premise that this is the
> maintainers responsibility, and they should really bother to respond
> to their bugs (even if they are not "release critical"), and care if
> their package is in testing or not.

Well I cannot reproduce this bug with piuparts so I am tagging this bug 
fixed in the meantime. I suppose there are simply too much maintainers for
this package.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Tags added: fixed Request was from <allomber@math.u-bordeaux.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 1.1.23-13, send any further explanations to Justin Pryzby <justinpryzby@users.sourceforge.net> Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 06:47:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:12:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.